Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Preface
  2. IDMC REST API
  3. REST API resource quick references
  4. Platform REST API version 2 resources
  5. Platform REST API version 3 resources
  6. Data Integration REST API
  7. Cloud Data Integration for PowerCenter (CDI-PC) REST API
  8. Data Ingestion and Replication REST API
  9. Customer Managed REST API
  10. RunAJob utility
  11. ParamSetCli utility
  12. REST API codes

REST API Reference

REST API Reference

Get domain status

Get domain status

Use a GET request to retrieve the real-time status of a
CDI-PC
domain.

GET request

Use the following GET request to check if a domain is registered and is online:
GET /public/api/v1/domains/{ldoId}
The following table describes the path parameter component:
Attribute
Type
Description
ldoId
String
Unique identifier assigned to a Logical Domain Object within an organization. Replace
ldoId
with the actual ID of the domain you want to reconcile.

Responses

The API returns a JSON object with the following boolean fields that describe the domain's current state:
  • isRegistered. Confirms if the domain is successfully registered.
  • isOnline. Shows if the domain is currently online and accessible.
  • isObsolete. Indicates if the domain is marked as obsolete.

0 COMMENTS

We’d like to hear from you!